Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Class EventNotifier

    java.lang.Object
      com.sun.squawk.debugger.EventNotifier

    public final class EventNotifier

extends Object

An `EventNotifier` is used to synchronize communication between a thread producing a JDWP event and consumer of such events. It also encapsulates the details of the event as well as the JDWP identifier of the thread in which the event occurred.

Nested Class Summary
`static interface` | `EventNotifier.Consumer` An EventConsumer consumes events delivered via an EventNotifier.

Constructor Summary
`EventNotifier()`

Method Summary
`void` | `consumeEvent(EventNotifier.Consumer consumer)` Consumes an event produced by a producer.
`void` | `produceEvent(Debugger.Event evt, EventNotifier.Consumer consumer)` Called by an event producer to notify a waiting consumer of an event.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventNotifier

    public EventNotifier()

Method Detail

### produceEvent

    public void produceEvent(Debugger.Event evt,
                             EventNotifier.Consumer consumer)

  Called by an event producer to notify a waiting consumer of an event. This method will be called on the producer's thread that caused the event. This thread will be blocked until a consumer has consumed the event.

  Parameters:
    `event` - the event being reported
    `consumer` - the consumer of the event

### consumeEvent

    public void consumeEvent(EventNotifier.Consumer consumer)

  Consumes an event produced by a producer. The current thread will block until an event is available for consumption. Once the given consumer has consumed the event, the producer of the event is awakened.

  Parameters:
    `consumer` - the object that will consume the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"